/// [feBlend](https://www.w3.org/TR/SVG11/filters.html#feBlendElement)
#[derive(Debug)]
pub struct Blend {
    mode: BlendMode,
}

impl Blend {
    pub fn new(mode: BlendMode) -> Self {
        Self { mode }
    }
}

impl Default for Blend {
    fn default() -> Self {
        Self {
            mode: BlendMode::Normal,
        }
    }
}

/// as according to https://drafts.fxtf.org/compositing-1/#blending
#[derive(Debug)]
pub enum BlendMode {
    Normal,
    Multiply,
    Screen,
    Overlay,
    Darken,
    Lighten,
    ColorDodge,
    ColorBurn,
    HardLight,
    SoftLight,
    Difference,
    Exclusion,

    Hue,
    Saturation,
    Color,
    Luminosity,
}
